Subject: Re: [P2PSIP] HIP for P2P SIP

From: Sukanta ganguly <[email-masked]>
Date: Thu, 26 Jun 2008 18:22:19 -0700 (PDT)

Hi Kai,
   Are you folks also working on a Skype like app? ;-)

SG

----- Original Message ----
From: "Miao, Kai" <[email-masked]>
To: Henry Sinnreich <[email-masked]>; Sukanta ganguly <[email-masked]>; Dean Willis <[email-masked]>; Gonzalo Camarillo <[email-masked]>
Cc: [email-masked]; [email-masked]; P2PSIP WG <[email-masked]>; [email-masked]
Sent: Thursday, June 26, 2008 5:20:34 PM
Subject: RE: [P2PSIP] HIP for P2P SIP

Re: [P2PSIP] HIP for P2P SIP  
Hello Henry, good to “hear”
from you. 
 
We are working on p2p based “social
media” using the same basic ideas…
 
Kai

________________________________
 
From:[email-masked] [mailto:[email-masked]] On Behalf Of Henry Sinnreich
Sent: 2008年6月27日7:03
To: Sukanta ganguly; Dean Willis;
Gonzalo Camarillo
Cc: [email-masked];
[email-masked]; P2PSIP WG; [email-masked]
Subject: Re: [P2PSIP] HIP for P2P
SIP

One way to think about P2P SIP is a Skype-like service platform based on open
standards.
AKA ‘Skype envy’  :-)

Any other applications for P2P SIP?

P2P has however a very large spectrum of other (non-SIP) applications that can
be found in various tutorials.

Henry

On 6/26/08 3:27 PM, "Sukanta ganguly" <[email-masked]>
wrote:
Hi,
   I was wanting to ask you folks this question about the
application of P2P SIP from your views. I have been following this email trail
and since many of you are from the industry I wanted to understand a little
from your perspective, the potential applications of P2P SIP. I would really
appreciate if you people share their views and understanding here. 

Thanks
SG

----- Original Message ----
From: Henry Sinnreich <[email-masked]>
To: Dean Willis <[email-masked]>;
Gonzalo Camarillo <[email-masked]>
Cc: [email-masked]; [email-masked]; P2PSIP WG <[email-masked]>; [email-masked]
Sent: Thursday, June 26, 2008 10:35:32 AM
Subject: Re: [P2PSIP] HIP for P2P SIP

Dean,

Yes to all your questions.

Henry

On 6/26/08 10:26 AM, "Dean Willis" <[email-masked]> wrote:

> 
> On Jun 26, 2008, at 1:42 AM, Gonzalo Camarillo wrote:
> 
>> Hi Henry,
>> 
>>> Yes, I know, developing HIP code looks like opening a whole new
can
>>> of
>>> worms, but nothing compares to what we are looking at now when
>>> trying to
>>> traverse NAT, support mobility, multihoming, etc. for each
>>> application
>>> protocol and their various flavors separately.
>> 
>> yes, that is what HIP is about (i.e., implementing those functions
>> at a lower layer so that they do not have to be redesigned by every
>> single application-layer protocol).
>> 
> 
> This asks the question "Why don't we believe in HIP in this
role?"
> 
> Is it because we've seen HIP struggling to advance for many years and
> think we can move more quickly?
> 
> Is it because we think the IETF's immune system will suppress HIP but
> that application-level work can move through?
> 
> Is it because we think that doing this stuff at the HIP level requires
> widespread OS and IP stack changes, but that we can deploy application-
> level solutions without it?
> 
> Is it because we think that if HIP solves the problems, then there
> will be no fun work left to do on applications?
> 
> Or is there something else?
> 
> There must be some reason, as I would think that if people really
> believed in HIP that the entire resources of the IETF would be bent
> towards getting it wrapped up and ready to go, since solving these
> problems again and again for every different application makes no more
> sense than would reinventing IP for every application.
> 
> --
> Dean

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip